/* VARIABLE STYLES ========================================= */

/* root will be applied across entire html document */
/* or can set at the parent level of an element */
:root {
  --logo-color: #333;
  --yellow-color: #f7c025;
  /* to use = var(--logo-color, #E54B4B) */
  /* second value is a fallback value */
}

/* BASE STYLES ========================================= */
* {
   box-sizing: border-box;
}

body {
   margin: 0;
   padding: 0;
   font-family: "Lekton", sans-serif;
}

p{
   font-family: "Ubuntu";
}

.flex-row {
   display: flex;
   /* flex-direction: row; */
   justify-content: space-around;
   align-items: center;
   align-content: center;
   flex-wrap: wrap;
}

.flex-row-between {
   display: flex;
   justify-content: space-between;
   flex-wrap: wrap;
   flex-direction: row;
}



.flex-column {
   display: flex;
   flex-direction: column;
}

.hide {
   display: none;
}

li {
   list-style: none;
}

a {
   text-decoration: none;
   /* padding: 1em; */
   color: white;
}

.dropdown-option a {
   color: blue;
}

button:focus {
   outline: none;
}

/* NAV ========================= */

header a {
   font-weight: 400;
   letter-spacing: 1px;
   text-decoration: none;
   text-transform: uppercase;
   padding: .5em .5em .8em;
   display: inline-block;
   width: 100%;
   text-align: center;
   transition: all 0.5s;
   max-height: 52px;
}

header a:hover, header a:focus {
   text-decoration: underline;
}

.toggle-nav {
   display: none;
}

.nav-logo img{
   width: 50px ;
}
.nav-logo img:hover{
   width:53px;
}

.flex-nav, footer {
   background: var(--logo-color, #E54B4B);
   /* background: #E54B4B; */
   color: #EBEBD3;
}

.flex-nav ul {
   list-style: none;
   margin: 0;
   padding: 0;
   display: flex;
   height: 70px;
   align-items: center;
}

/* flex-basis is the min starting width
before an elements starts shrink or wrap */
.flex-nav li {
   flex-basis: 16%;
}

.flex-nav li a {
   /* color: #F0F8EA; */
   transition: all 0.5s;
   
}

.flex-nav li a:hover,
.flex-nav li a:focus {
    color: #f6c500;
    text-decoration: none;
}

.nav-active {
    color: #f6c500;
    /* font-size: 3em; */
}

.nav-hidden {
   display: none;
}

h4{
   margin: 10px;
}


@media all and (max-width:800px) {

   .flex-nav li{
      flex-basis: 100%;
      border-top: 1px solid rgba(240, 248, 235,.4);
   }

   .flex-row-between {
      flex-direction: column;
   }

   .nav-logo-hidden {
      display: none;
   }

   .toggle-nav {
      display: block;
      color: #f0f8eb;
   }

   .toggle-nav:hover, .toggle-nav:focus {
      color: #f6c500;
      text-decoration: none;
   }

   .flex-nav {
      border-bottom: 6px solid var(--logo-color);
   }

   .new-toggle {
      display: none;
   }

   .flex-nav ul {
      display: none;
      flex-wrap: wrap;
   }

   .flex-nav ul.nav-active {
      display: flex;
   }

}

/* WELCOME ========================= */

.welcome-tee-container {
   margin-top: 0;
   width: 470px;
   /* width: 48%; */
   position: relative;
}

.welcome {
   padding: 2em 3em;
   text-align: center;
}

.welcome h2 {
   margin-top: 0.5em;
}

.welcome-info-container {
   max-width: 50%;
   border: 8px solid var(--logo-color);
   background-color: white;
   background-color: white;
   margin: 0 auto;
   justify-content: space-between;
   box-shadow: 11px 12px 17px 0px rgba(0, 0, 0, 0.3);
   position: relative;
}

.welcome p {
   padding: 0 2em;
}

.flex-welcome {
   display: flex;
   flex-direction: row;
   justify-content: space-around;
   flex-wrap: wrap;
}

.welcome-buffer {
   width: 27%;
}

.welcome-control  {
   background-image: linear-gradient(#fff, var(--logo-color));
   height: 53px;
   width: 41px;
   border-radius: 3px;
   border: 1px solid var(--logo-color);
   font-size: .8em;
   color: white;
}

.welcome-control:hover {
   background-image: linear-gradient(#fff, var(--yellow-color));
   color: var(--logo-color);
}

/* #width-minus{
   position: absolute;
   bottom: 335px;
   right: 920px;
}
#width-plus{
   position: absolute;
   bottom: 335px;
   right: 450px;
}
 */

 .services-icon > span {
   font-size: 36px;
   padding-bottom: 5px;
   clear: both;
   float: top;
 }
 .services-icon > hr {
   float: left;
 }
 
 .list p{
    text-align: center;
    padding: 0;
 }
 ul{
   padding-inline-start: 0px
 }


.try {
   display: block;
   text-align: center;
}

.started-button {
   margin: 0 auto;
   font-size: 1em;
   color: var(--logo-color);
   /* background-image: linear-gradient(#fff, #ebf0f5); */
   padding: .8em 4em;
   border: 3px solid var(--logo-color);
   border-radius: 3px;
}

/* MAIN ========================= */

main {
   /* background-color: #d6d6d6; */
   background-color: #e8e3dc;
   padding: 2em 2em 3em;
}

.shirt-container,
.shirt-container-welcome,
.info-container {
   background-color: white;
   /* border-radius: 2em; */
   margin: 0 auto;
   /* margin-bottom: 1em; */
   /* border: solid 4px #aaa; */
   justify-content: space-between;
   /* box-shadow: 11px 12px 17px 0px rgba(0, 0, 0, 0.3); */
   box-shadow: 11px 12px 17px 0px rgb(199, 194, 187);

   position: relative;

}

.info-container {
   /* width: 50%; */
   max-width: 60%;
   border: 8px solid var(--logo-color);
}

/* TEE CONTAINER ===================== */

.tee {
   /* max-width: 100%;
   max-height: 100%; */
   width: auto;
   height: 600px;
   padding-top: 40px;
   /* padding: 7% 5%; */
   
}




#tee {
   display: flex;
   flex-direction: column;
   align-items: center;
}

.resize-test {
   resize: both;
   overflow: hidden;
}

.image-resize-container {
   border: dotted 3px black;
   width: 236px;
   height: 250px;
   /* display: inline-block; */
   resize: both;
   overflow: hidden;
}

.image-resize-container2 {
    resize: both;
    border: 1px solid #222;
    width: 500px;
    height: 200px;
    overflow: auto;
    background: #222;
    color: #999;
    padding: 10px;
  }

.print-area {
   /* border: 2px dotted #cccccc40; */
   width: 100%;
   height: 90%;
   position: absolute;
   top: 0;
   left: 0;
}

/* IMAGE UPLOAD ========================= */

.image-container {
   border-bottom: 4px solid var(--logo-color);
   padding: 1em;
}

.image-upload {
   /* opacity: 0; */
   width: 150px;
   height: 52px;
   background: none;
   border: 2px dashed var(--logo-color);
   color: var(--logo-color);
   border-radius: 3px;
   font-size: 14px;
   margin-right: 1em;
   transition: all 50ms linear;
   cursor: pointer;
   background-color: #f7bf251e;

}
.btns{
   display: flex;
   flex-direction: column;
   align-content: center;
   justify-content: center;
}

/* @media screen and (max-width: 800px) and (max-height: 730px)  {
   .btns{
      top: 74% !important;
   }
} */


@media screen and (max-width: 800px) and (max-height: 580px)  {
   .btns{
      top: 86% !important;
      z-index: 100;
      
   }
   .dropdown-button{
      height: 35px !important;
      border: 2px solid var(--yellow-color) !;
   }
}

.btns button {
   margin-bottom: 5px;
}

.image-upload:hover {
   background-color: black
}

.alto-ancho{
   display: flex;
   flex-direction: row;
   align-items: center;
}

.image-design {
   /* border-bottom: 4px solid var(--logo-color);;
   padding: .8em; */
   position: relative;
}

/* .image-design .current-value {
   margin: 1em 1em 0 0;
} */

/* FILE UPLOAD INPUT */
input[type="file"] {
   position: absolute;
   opacity: 0;
   left: 0;
   padding-bottom: 3.5em;
}

/* COLOR PICKER INPUT */
input[type="color" i] {
   width: 116px;
   height: 40px;
   border-radius: 3px;
   margin-right: 1em;
}

#design-display {
   width: 29%;
   left: 36%;
   top: 22%;
   /* transform: translate(-50%, -50%); */
   position: relative;
  
}


#design-target {
  
   opacity: 85%;
}

@media screen and (max-width: 1024px)  {
   #design-display {
      top: 15%;
   }

   canvas{
    
      /* padding-top: 40px !important; */
      width: 100% !important;
      height:auto !important;
   
      /* padding: 7% 5% !important; */
   }
   .btns{
      display: flex;
    position: absolute;
    column-gap: 2px;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    align-items: center;
    top: 93%;
    margin-right: 60%;
    width: 100%;
   }
   .dropdown-container{
      width: 0 !important;
   }

}


.btn-sum{
   position: relative;
}

.btn-re{
   position: absolute;
}

#text-display {
   font-size: 3em;
   color: var(--yellow-color);
   left: 37%;
   top: 43%;
   /* width: 58%; */
   position: inherit;
   margin: -24px 0;
   font-family: 'Lobster', sans-serif;
}

.image-instr {
   color: var(--logo-color);
   margin: 0;
   margin-bottom: .8em;
   text-align: center;
}

.image-instr-bold {
   font-weight: 900;
   text-transform: uppercase;
   font-size: 1.1em;
}

/* GALLERY CONTAINER ===================== */

.gallery-title {
   text-align: center;
   font-size: 2.2em;
   margin: 0;
   /* padding-top: 1em; */
   text-transform: uppercase;
}

.gallery-display {
   position: absolute;
   width: 150px;
   left: 54px;
   top: 50px;
}

.gallery-text-display {
   /* font-size: 3em; */
   color: var(--logo-color);
   /* left: 66.6875px; */
   position: inherit;
   margin: -24px 0;
   /* font-family: 'Lobster', sans-serif; */
}

.gallery-info-container {
   display: none;
   /* opacity: 0; */
   width: 45%;
   background-color: white;
   margin: 0 auto;
   margin-top: 1em;
   justify-content: space-between;
   box-shadow: 11px 12px 17px 0px rgba(0, 0, 0, 0.3);
}

.gallery-shirt-container {
   margin-bottom: 1em;
}

.gallery-space {
   margin-bottom: 3em;
}

/* INFO CONTAINER ===================== */

main h3 {
   margin: 0;
   color: var(--logo-color);
   font-weight: 400;
   text-transform: uppercase;
   padding-bottom: .3em;
}

.garment,
.image-container,
.text-design {
   border-bottom: 4px solid var(--logo-color);;
   padding: .8em;
}

.default-container {
   padding: .8em;
}

.garment-style {
   width: 90px;
}

.garment-swatch {
   width: 4.5em;
   height: 4.5em !important;
   border-radius: 50%;
   background-color: grey;
   
   margin:5px;
   
}

.garment-swatch.is-selected {
   width: 5em;
   height: 5em !important;
   border-radius: 50%;
   border: 5px solid var(--yellow-color)
   
}

.black {
   background-color: black;
   color: white;
}

.silver {
   background-color: #bbbaba;
}

.red {
   background-color: #bf390f;
}

.navy {
   background-color: #2d5471;
}

.white {
   background-color: #fff;
   border: 2px solid black;
}

.stacked {
   align-items: unset;
}

.gray {
   color: white;
}

.charcoal {
   background-color: var(--logo-color);;
}

  button {
      
      padding: 0;
     
   }

.size-control {
   z-index: 20;
   margin-right: 0.4em;
   width: 41px;
   height: 53px;
   border-radius: 3px;
   border: 1px solid var(--logo-color);
   background-image: linear-gradient(#fff, var(--logo-color));   font-size: .8em;
   color: white;
}

.size-control:nth-last-child(2n+ 1) {
   margin-right: .8em;
}

.custom-text {
   height: 54px;
   width: 60%;
   border: 2px solid #a8b6c5;
   margin-bottom: 1em;
   border-radius: 3px;
   text-indent: 18px;
   font-size: .8em;
}

#text-plus {
   height: 53px;
   width: 41px;
   margin-left: 8px;
   margin-right: 2px;
}

#text-minus {
   height: 53px;
   width: 41px;
   margin-right: 0;
}

.save-container {
   margin: 1.5em;
}

.design-title {
   height: 54px;
   width: 40%;
   border: 2px solid #a8b6c5;
   margin: 0 auto;
   border-radius: 3px;
   font-size: .8em;
   text-align: center;
}

.save {
   margin: 0 auto;
   margin-top: 0.6em;
   width: 40%;
   font-size: 1em;
   color: var(--logo-color);;
   /* background-image: linear-gradient(#fff, #ebf0f5); */
   padding: .8em 4em;
   border: 3px solid var(--logo-color);;
   border-radius: 3px;
}

.save:hover,
.started-button:hover {
  
   color: var(--yellow-color);
}

.default-container {
   text-align: center;
}

.default-container button {
  
   opacity: .6;
   transition: opacity 0.5s ease;
}

.default-image img {
   width: 7em;
   height: 7em;
}

.default-container button:hover {
   opacity: 1;
}

/* DROPDOWN BUTTON ========================= */

.dropdown-container {
   height: 40px;
   width: 138px;
   position: relative;
}

.dropdown {
   position: absolute;
   width: 126px;
   height: 40px;
   overflow: hidden;
   display: inline-block;
  
   border-radius: 3px;
   transition: height 150ms ease-in, box-shadow 130ms ease-out 120ms;
   z-index: 2;
   background: white;
}

.dropdown-button {
   width: 126px;
   height: 40px;
   background: none;
   border: none;
   
   background-color: var(--logo-color);
   color: white;
   border-radius: 3px;
  font-family: "Lekton", sans-serif;
   letter-spacing: 1.3pt;
   color:  var(--yellow-color);
   clear: both;
}

.dropdown-button i {
   position: absolute;
   right: 16px;
   margin-top: 1px;
   font-weight: 600;
   font-size: 16px;
}
.dropdown-button:active,
.dropdown-button:focus {
   outline: none;
}
.dropdown-button:active:active, .dropdown-button:focus:active {
   outline: none;
}
.dropdown-button:hover {
   background-color: var(--yellow-color) !important;
   color:var(--logo-color);
}

.button-label {
   margin-right: 28px;
}

.dropdown.is-up {
   height: 160px; /*160px cuando hay 3 opciones*/
   box-shadow: 0 13px 43px 0 rgba(0, 0, 0, 0.16);
   transition: height 220ms ease-in 100ms, box-shadow 100ms ease-in;
   z-index: 10;
}

.fuentes.is-up {
   height: 320px; /*160px cuando hay 3 opciones*/
   box-shadow: 0 13px 43px 0 rgba(0, 0, 0, 0.16);
   transition: height 220ms ease-in 100ms, box-shadow 100ms ease-in;
   z-index: 10;
}


.dropdown.is-up .dropdown-button {
   background: var(--logo-color);
   border-color: transparent;
}
.prenda.is-up{
   height: 160px; /*160px cuando hay 3 opciones*/
   box-shadow: 0 13px 43px 0 rgba(0, 0, 0, 0.16);
   transition: height 220ms ease-in 100ms, box-shadow 100ms ease-in;
   z-index: 20;
}

.posicion.is-up {
   height: 120px; /*160px cuando hay 3 opciones*/
   box-shadow: 0 13px 43px 0 rgba(0, 0, 0, 0.16);
   transition: height 220ms ease-in 100ms, box-shadow 100ms ease-in;
   z-index: 10;
}

.dropdown-options {
   list-style: none;
   margin: 0;
   padding: 0;
}

.dropdown-option {
   position: relative;
   height: 40px;
   line-height: 40px;
   padding-left: 10px;
   cursor: pointer;
   color: #6b6b6b;
}

.dropdown-option a {
   position: relative;
   height: 40px;
   line-height: 40px;
   padding-left: 10px;
   cursor: pointer;
   color: #6b6b6b;
}

.dropdown-option.is-selected {
   color: var(--logo-color);
   /* background-color: var(--yellow-color); */
   text-decoration: line-through

 

}

.dropdown-option:hover {
   /* color: #346394; */

}

   /* VALUE SECTION ========== */

.current-value {
   width: 80px;
   border-bottom: 2px solid var(--logo-color);
   text-align: center;
   padding: 0 .5em 0.2em 0.4em;
   margin: 0 1em 0 0;
}

.value-container {
   height: 40px;
   width: 134px;
   margin-top: .6em;
}

/* MOBILE CONTROLS ========================= */

.mobile-close {
   display: none;
}

.mobile-icon,
.mobile-position {
   display: none;
}

.mobile-icon i {
   color: var(--yellow-color);
   margin: 3px auto;
}


/* FOOTER ========================= */

footer{
   height: 90px;
}

footer p {
   color: rgba(255,255,255,.4);
   margin: 0 auto;
   text-align: center;
   padding-top: 1em;
}

/* MAIN MEDIA QUERIES ====================== */

@media screen and (max-width: 800px){
   .dropdown-button{
      height: 45px;
   }
   .tee {
      /* max-width: 100%;
      max-height: 100%; */
      width: 100%;
      height: auto;
      padding-top: 40px;
      /* padding: 7% 5%; */
      
   }
   
   main {
      height: auto;
      padding: 0;
      margin: 0;
   }

   .welcome {
      padding: 1em 1em;
   }

   .welcome-info-container {
      max-width: 100%;
   }
   .shirt-container {
       width: 100%;
       box-shadow: 11px 12px 17px 0px rgba(0, 0, 0, 0);
       /* position: relative; */
   }

   .flex-welcome {
      display: flex;
      /* flex-direction: column-reverse; */
      justify-content: space-around;
      flex-wrap: wrap;
   }

   .try {
      display: none;
   }


}

@media screen and (max-height: 660px) and (max-width: 400px) {
   .garment,
   .image-container,
   .text-design,
   .default-container {
     
      padding-top: 10% !important;
     
   }

} 
   


@media screen and (max-width: 800px){

   #design-display {
      top: 25%;
   }

   .btns {
      display: flex;
      position: absolute;
      column-gap: 2px;
      flex-direction: row;
      align-content: center;
      justify-content: center;
      align-items: center;
      top: 75%;
      width: 100%;
      margin-right: 0;
   }
   button {
     
      padding: 0;
      background: none;
   }

   h3{
      text-align: center;
   }

   .mobile-controls{
      width: 100%;
      bottom: 0;
      left: 0;
      position: absolute;
      z-index: 20;
   }

   .mobile-icon {
      display: flex;
      /* opacity: 1; */
      background: var(--logo-color);;
      border: 2px solid #26272f;
      width: 25%;
      text-align: center;
      font-size: 1.4em;
      padding-top: 13px;
      padding-bottom: 13px;
      text-shadow: 2px 2px 5px #827a7a;
   }

   .mobile-close {
      /* display: block; */
      opacity: 1;
      padding: 1em;
      border-radius: 4px;
      width: 33%;
      margin-top: 1em;
      margin: 1em auto;
      display: block;
      border: 2px solid var(--logo-color);
      text-align: center;
   }
   .colors{
      margin-top: 1em;
   }
   .mobile-icon-pos {
      width: 13%;
      text-align: center;
      color: var(--logo-color);
      font-size: 2em;
   }

   .mobile-icon-pos {
      width: 13%;
      text-align: center;
      color: var(--logo-color);
      font-size: 2.3em;
   }


   .info-container {
      border: none;
      position: absolute;
      left: 0;
   }

   #garment-control,
   #image-control,
   #text-control,
   #default-control {
      display: none;
   }

   main {
       background-color: transparent;
   }

   .garment,
   .image-container,
   .text-design,
   .default-container {
      border-bottom: 0px solid var(--logo-color);;
      padding: .8em;
      padding-top: 130px;
      left: 0;
      top: 0;
      background-color: #ffffffed;
      height: 90vh;
      width: 100vw;
   }

   footer {
      display: none;
      
   }

   .info-container {
       background-color: transparent;
   }

   .shirt-container,
   .shirt-container-welcome,
   .info-container,
   .welcome-info-container {
       /* background-color: rgba(255, 255, 255, 0.4); */
       /* border-radius: 2em; */
       margin: 0 auto;
       /* margin-bottom: 1em; */
       /* border: solid 4px #aaa; */
       justify-content: space-between;
       box-shadow: 11px 12px 17px 0px rgba(0, 0, 0, 0);
       max-width: 100%;
       position: relative;
    }

    .shirt-container {
      width: 100%;
      z-index: -5;
      top: 20px;
      /* right: 61px; */
      position: fixed;
   }

   .default-container button {
       opacity: 1;
   }

   .image-instr {
       color: var(--color-logo);
   }
button {
   border: var(--yellow-color);
}
   .mobile-position {
      display: flex;
      bottom: 59px;
      width: 100%;
     
      left: 0;
      opacity: 0;
      position: absolute;
      background-color: var(--yellow-color);
      padding: 5px;
      transition: opacity 600ms ease;
      align-content: center;
      z-index: 19;
   }

   .show-position {
      opacity: 1;
   }

   .mobile-icon .active-image {
      color: #fff;
   }

}

